name: Button
props:
  type: object
  required:
    - type
  properties:
    type:
      type: string
      title: Type
      description: "The type of button to render"
      # The enum directive restricts the possible values in the element to our list.
      enum: ['primary', 'secondary', 'danger']
slots:
  # Content to display in the chip.
  button_text:
      title: Button Text
      description: The text for the button
